/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl.listener;

import java.util.*;

import com.topcoder.network.synchronization.bean.Message;
import com.topcoder.network.synchronization.protocol.MessageListener;

/**
 * This class is used to deal the messages which reply to the JOINGROUP_MESSAGE sended
 * by this peer. It should be removed after joining the peer group.
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class ReplyJoinMessageListener extends MessageListener {

    private Map replyJoinMessages = new HashMap(); 
    
    public Map getReplyJoinMessages() {
        return null;
    }
    
    /**
     * Deal the REPLYJOIN_MESSAGE from receiver.
     * these messages are used to determine whether join the peer group correctly.
     * 
     * 1. if the message is REPLYJOIN_MESSAGE, put it into replyJoinMessages.
     * 2. otherwise, pass it to the next listener if available
     */
    public void dealMessage(Message message) {
    

    }

}
